Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class FileDialog

    java.lang.Object
      org.eclipse.swt.widgets.Dialog
          org.eclipse.swt.widgets.FileDialog

public class FileDialog
extends Dialog

Instances of this class allow the user to navigate the file system and select or enter a file name.

Styles:
  SAVE, OPEN, MULTI
Events:
  (none)

IMPORTANT: This class is intended to be subclassed only within the SWT implementation.

Constructor Summary
`FileDialog(Shell parent)` Constructs a new instance of this class given only its parent.
`FileDialog(Shell parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`String` | `getFileName()` Returns the path of the first file that was selected in the dialog relative to the filter path
`String[]` | `getFileNames()` Returns the paths of all files that were selected in the dialog relative to the filter path.
`String[]` | `getFilterExtensions()` Returns the file extensions which the dialog will use to filter the files it shows.
`String[]` | `getFilterNames()` Returns the file names which the dialog will use to filter the files it shows.
`String` | `getFilterPath()` Returns the directory path that the dialog will use.
`String` | `open()` Makes the dialog visible and brings it to the front of the display.
`void` | `setFileName(String string)` Set the initial filename which the dialog will select by default when opened to the argument, which may be null.
`void` | `setFilterExtensions(String[] extensions)` Set the file extensions which the dialog will use to filter the files it shows to the argument, which may be null.
`void` | `setFilterNames(String[] names)` Sets the file names which the dialog will use to filter the files it shows to the argument, which may be null.
`void` | `setFilterPath(String string)` Sets the directory path that the dialog will use to the argument, which may be null.

Methods inherited from class org.eclipse.swt.widgets.Dialog
`checkSubclass, getParent, getStyle, getText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDialog

    public FileDialog(Shell parent)

  Constructs a new instance of this class given only its parent.

Parameters:
  `parent` - a shell which will be the parent of the new instance
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

### FileDialog

    public FileDialog(Shell parent,
                      int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a shell which will be the parent of the new instance
  `style` - the style of dialog to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

Method Detail

### getFileName

    public String getFileName()

  Returns the path of the first file that was selected in the dialog relative to the filter path

  Returns:
    the relative path of the file

### getFileNames

    public String[] getFileNames()

  Returns the paths of all files that were selected in the dialog relative to the filter path.

  Returns:
    the relative paths of the files

### getFilterExtensions

    public String[] getFilterExtensions()

  Returns the file extensions which the dialog will use to filter the files it shows.

  Returns:
    the file extensions filter

### getFilterNames

    public String[] getFilterNames()

  Returns the file names which the dialog will use to filter the files it shows.

  Returns:
    the file name filter

### getFilterPath

    public String getFilterPath()

  Returns the directory path that the dialog will use. File names in this path will appear in the dialog, filtered according to the filter extensions.

  Returns:
    the directory path string
  See Also:
    `setFilterExtensions(java.lang.String[])`

### open

    public String open()

  Makes the dialog visible and brings it to the front of the display.

  Returns:
    a string describing the absolute path of the first selected file, or null if the dialog was cancelled or an error occurred
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the dialog has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the dialog

### setFileName

    public void setFileName(String string)

  Set the initial filename which the dialog will select by default when opened to the argument, which may be null. The name will be prefixed with the filter path when one is supplied.

  Parameters:
    `string` - the file name

### setFilterExtensions

    public void setFilterExtensions(String[] extensions)

  Set the file extensions which the dialog will use to filter the files it shows to the argument, which may be null.

  Parameters:
    `extensions` - the file extension filter

### setFilterNames

    public void setFilterNames(String[] names)

  Sets the file names which the dialog will use to filter the files it shows to the argument, which may be null.

  Parameters:
    `names` - the file name filter

### setFilterPath

    public void setFilterPath(String string)

  Sets the directory path that the dialog will use to the argument, which may be null. File names in this path will appear in the dialog, filtered according to the filter extensions.

  Parameters:
    `string` - the directory path
  See Also:
    `setFilterExtensions(java.lang.String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.